Last-Modified: Fri, 14 Feb 2025 03:12:33 GMT
Expires: Mon, 12 Feb 2035 03:12:33 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>openwrt/upstream - upstream openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit/openwrt/upstream/atom/package/network/config?h=v19.07.10' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='openwrt/upstream' href='/cgit/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='241dbffcf9d4de1f95926c751e8f3259f988b000'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/openwrt/upstream/about/?h=v19.07.10'>about</a><a href='/cgit/openwrt/upstream/?h=v19.07.10'>summary</a><a href='/cgit/openwrt/upstream/refs/?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>refs</a><a href='/cgit/openwrt/upstream/log/package/network/config?h=v19.07.10'>log</a><a href='/cgit/openwrt/upstream/tree/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>tree</a><a class='active' href='/cgit/openwrt/upstream/commit/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>commit</a><a href='/cgit/openwrt/upstream/diff/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>diff</a><a href='/cgit/openwrt/upstream/stats/package/network/config?h=v19.07.10'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/openwrt/upstream/log/package/network/config'>
<input type='hidden' name='h' value='v19.07.10'/><input type='hidden' name='id' value='241dbffcf9d4de1f95926c751e8f3259f988b000'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/upstream/commit/?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>root</a>/<a href='/cgit/openwrt/upstream/commit/package?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>package</a>/<a href='/cgit/openwrt/upstream/commit/package/network?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>network</a>/<a href='/cgit/openwrt/upstream/commit/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>config</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='v19.07.10'/><input type='hidden' name='id' value='241dbffcf9d4de1f95926c751e8f3259f988b000'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>Steven Barth &lt;cyrus@openwrt.org&gt;</td><td class='right'>2015-05-19 09:01:34 +0000</td></tr>
<tr><th>committer</th><td>Steven Barth &lt;cyrus@openwrt.org&gt;</td><td class='right'>2015-05-19 09:01:34 +0000</td></tr>
<tr><th>commit</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/commit/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>241dbffcf9d4de1f95926c751e8f3259f988b000</a> (<a href='/cgit/openwrt/upstream/patch/package/network/config?id=241dbffcf9d4de1f95926c751e8f3259f988b000'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/tree/?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>6ceed9dfb7e067cd217bd92a41a096b4558d1a54</a> /<a href='/cgit/openwrt/upstream/tree/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>package/network/config</a></td></tr>
<tr><th>parent</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/commit/package/network/config?h=v19.07.10&amp;id=08f057c703fca370fd2f212eef6e0122028be023'>08f057c703fca370fd2f212eef6e0122028be023</a> (<a href='/cgit/openwrt/upstream/diff/package/network/config?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000&amp;id2=08f057c703fca370fd2f212eef6e0122028be023'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/snapshot/upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.tar.gz'>upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.tar.gz</a><br/><a href='/cgit/openwrt/upstream/snapshot/upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.tar.bz2'>upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.tar.bz2</a><br/><a href='/cgit/openwrt/upstream/snapshot/upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.zip'>upstream-241dbffcf9d4de1f95926c751e8f3259f988b000.zip</a><br/></td></tr></table>
<div class='commit-subject'>netifd: improve IPv6 onlink-route handling</div><div class='commit-msg'>Signed-off-by: Steven Barth &lt;steven@midlink.org&gt;

SVN-Revision: 45701
</div><div class='diffstat-header'><a href='/cgit/openwrt/upstream/diff/?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>Diffstat</a> (limited to 'package/network/config')</div><table summary='diffstat' class='diffstat'><tr><td class='mode'>-rw-r--r--</td><td class='upd'><a href='/cgit/openwrt/upstream/diff/package/network/config/netifd/Makefile?h=v19.07.10&amp;id=241dbffcf9d4de1f95926c751e8f3259f988b000'>package/network/config/netifd/Makefile</a></td><td class='right'>4</td><td class='graph'><table summary='file diffstat' width='4%'><tr><td class='add' style='width: 50.0%;'/><td class='rem' style='width: 50.0%;'/><td class='none' style='width: 0.0%;'/>Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1"># Choose musl version.</span>

<span class="k">choice</span>
	<span class="k">prompt</span> <span class="s2">&quot;musl Version&quot;</span>
	<span class="k">depends on</span> TOOLCHAINOPTS <span class="o">&amp;&amp;</span> USE_MUSL
	<span class="k">default</span> MUSL_VERSION_0_9_8
	<span class="k">help</span>
<span class="sd">	  Select the version of musl you wish to use.</span>

<span class="sd">	config MUSL_VERSION_0_9_8</span>
<span class="sd">		bool &quot;musl 0.9.8&quot;</span>

<span class="k">endchoice</span>


<span class="c1"># Debug version.</span>

<span class="k">config</span> MUSL_ENABLE_DEBUG
	<span class="nb">bool</span> <span class="s2">&quot;Build with debug information&quot;</span>
	<span class="k">depends on</span> TOOLCHAINOPTS <span class="o">&amp;&amp;</span> USE_MUSL
	<span class="k">default</span> n
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-02-14 03:12:33 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
